Bug 108785 - Installer freezes trying to install "comps.rpm" (a 404 page)
Summary: Installer freezes trying to install "comps.rpm" (a 404 page)
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
: 108783 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-02 02:25 UTC by Anders Kaseorg
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 13:58:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anders Kaseorg 2003-11-02 02:25:26 UTC
Description of problem:
I'm doing an HTTP install of rawhide, and the installer froze during
post-install configuration. ps revealed that the stuck process was
'/bin/rpm -Uvh /var/tmp//comps.rpm', and the /var/tmp/comps.rpm file
was actually an HTML page that looks like a 404 error. The rpm process
was stuck with 0% CPU usage. Virtual console 4 had errors about trying
to open files <!DOCTYPE, HTML, and PUBLIC. I killed the rpm process,
and the installation finished.

How reproducible:
Didn't try

Comment 1 Jeremy Katz 2003-11-03 03:57:18 UTC
Ugh, this is because ftp.redhat.com does a 302 on missing pages and
redirects to an error page and so there is absoultely no way at all
for me to be able to tell there is an error other than trying to parse
the content of the page.

Comment 2 Jeremy Katz 2003-11-03 03:57:40 UTC
*** Bug 108783 has been marked as a duplicate of this bug. ***

Comment 3 Jeremy Katz 2004-09-22 18:42:49 UTC
Does this still occur?

Comment 4 Jeremy Katz 2004-11-04 13:58:19 UTC
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.


Note You need to log in before you can comment on or make changes to this bug.